UploadGrantResponse
state
Possible values: [pending, accepted]
- pending
- accepted
searchIdstringrequired
tokenstringrequired
Upload-only capability, not an F2S account or guest credential.
expiresAtstring<date-time>required
uploadUrlstring<uri>required
Backend-selected image-server target for this Search. POST the image there with Authorization: Bearer
searchIdstringrequired
Unique search task ID
statusSearchStatus (string)required
Search processing status
Possible values: [processing, completed, error, preview]
detectedFacesinteger<uint32>required
Number of faces detected in the uploaded photo
statestringrequired
Possible values: [accepted]
UploadGrantResponse
{
"searchId": "string",
"state": "pending",
"token": "string",
"expiresAt": "2024-07-29T15:51:28.071Z",
"uploadUrl": "string"
}